@use 'partials/variables/app';


$gap: 10px;

.spacing {
  margin: 22px;
}

.user-profile-container {
  display: flex;
  flex-direction: column;
  width: 100%;
  max-width: app.$max-screen-width;
  justify-content: center;
  margin: auto;
  gap: $gap;
}

.row-container {
  display: inline-flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: flex-end;
  gap: $gap;
}

.stretch {
  align-items: stretch;
}

.avatar {
  flex-grow: 1;
  display: flex;
  justify-content: center;
}

.details {
  flex-grow: 4;
}

.user-data {
  flex-grow: 1;
}

.contact {
  flex-grow: 1;
}